View Issue Details

IDProjectCategoryView StatusLast Update
0021581mantisbtcustomizationpublic2016-08-30 20:26
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0 
Target Version1.3.1Fixed in Version1.3.1 
Summary0021581: Workflow config page can corrupt report_bug_threshold if it's defined as an array
Description

In workflow transitions configuration page, the "Minimum Access Level to
Change to this Status", for bug submitted status, is linked to the
report_bug_threshold option.
If the threshold is configured as an array, the dropdown select does not show the correct value, and updating the page will overwrite the original value for report_bug_threshold.

TagsNo tags attached.

Relationships

related to 0021579 closedcproensa Error when limit_reporters and complex report_bug_threshold 
related to 0021655 closedcproensa Workflow config page can corrupt set_status_threshold with array thresholds 
related to 0021656 closedcproensa set_status_threshold config is not deleted if is same as parent 

Related Changesets

MantisBT: master 083ae280

2016-08-01 19:37:14

cproensa

Details Diff
Fix Workflow config to acount for complex thresholds

In workflow transitions configuration page, the "Minimum Access Level to
Change to this Status", for bug submitted status, is linked to the
report_bug_threshold option.
If the threshold is configured as an array, the simple dropdown select
cant be used to represent or modify this value, so don't allow it to be
editable.

Fixes: 0021581
mod - manage_config_workflow_page.php Diff File
mod - manage_config_workflow_set.php Diff File

MantisBT: master 98b03fde

2016-08-04 23:52:13

vboctor

Details Diff
Merge remote-tracking branch 'origin/pr/835'
mod - bug_update_page.php Diff File
mod - changelog_page.php Diff File
mod - core/access_api.php Diff File
mod - core/filter_api.php Diff File
mod - manage_config_workflow_page.php Diff File
mod - manage_config_workflow_set.php Diff File

Issue History

Date Modified Username Field Change
2016-08-01 19:44 cproensa New Issue
2016-08-01 19:45 cproensa Assigned To => cproensa
2016-08-01 19:45 cproensa Status new => assigned
2016-08-01 19:46 cproensa Relationship added related to 0021579
2016-08-01 19:48 cproensa Note Added: 0053742
2016-08-04 23:56 cproensa Changeset attached => MantisBT master 083ae280
2016-08-04 23:56 cproensa Status assigned => resolved
2016-08-04 23:56 cproensa Resolution open => fixed
2016-08-04 23:56 cproensa Fixed in Version => 2.0.0-beta.2
2016-08-05 05:01 cproensa Changeset attached => MantisBT master 98b03fde
2016-08-05 05:03 cproensa Fixed in Version 2.0.0-beta.2 => 1.3.1
2016-08-05 07:30 atrol Target Version => 1.3.1
2016-08-28 01:12 vboctor Status resolved => closed
2016-08-30 20:15 cproensa Relationship added related to 0021655
2016-08-30 20:26 cproensa Relationship added related to 0021656